$if not set tc $set tc 60
$if not set t  $set t  40

set	tc	/1*%tc%/,
	t(tc)	/1*%t%/;

$call 'gdxmerge tk5.gdx tk10.gdx tk25.gdx tk50.gdx'
set tk /tk5, tk10, tk25, tk50/;

parameter	du(tk,t)	Marginal utility;
$gdxin merged.gdx
$load du

parameter	mu(t,tk);	
*.Marginal utility of 1% additional abatement;

mu(t,tk) = du(tk,t);

parameter yr;
yr(t) = 400*(ord(t)-1)/(card(t)-1);
set tplot(t);
tplot(t) = yes$(ord(t) <= 21);

$setglobal domain tplot
$setglobal xvalue yr
$setglobal gp_opt1 "set xlabel 'Year'"
$setglobal gp_opt2 "set ylabel 'Marginal utility'"
$setglobal gp_opt3 "set key outside below" 
$libinclude plot mu
